﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Diagrams.Core;

namespace Diagram_WPF_Layout
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            var router = new OrgTreeRouter();
            this.diagram.RoutingService.Router = router;
        }
        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            TreeLayoutSettings settings = new TreeLayoutSettings()
            {
                LayoutContainerChildren = true,
                TreeLayoutType = TreeLayoutType.TreeDown,
            };

            this.diagram.Layout(LayoutType.Tree, settings);
            this.diagram.AutoFitAsync(new Thickness(50, 300, 50, 300));
        }
    }
}
